Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.support.xml
Interface XmlCharacterStreamProvider

    public interface XmlCharacterStreamProvider

Interface defining handling involved with providing `Writer` data for XML input.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `Writer`

Method Summary
`void` | `provideXml(Writer writer)` Implementations must implement this method to provide the XML content for the `Writer`.

Method Detail

### provideXml

    void provideXml(Writer writer)
                    throws IOException

  Implementations must implement this method to provide the XML content for the `Writer`.

  Parameters:
    `writer` - the `Writer` object being used to provide the XML input
  Throws:
    `IOException` - if an I/O error occurs while providing the XML

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD